Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Enemy_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=1000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      //$LASTPOS=1000049;//user.Enemy:49
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=1000067;//user.Enemy:67
        _this.x+=_this.vx;
        //$LASTPOS=1000078;//user.Enemy:78
        _this.y+=_this.vy;
        //$LASTPOS=1000089;//user.Enemy:89
        if (_this.screenOut()) {
          //$LASTPOS=1000106;//user.Enemy:106
          _this.die();
        }
        //$LASTPOS=1000117;//user.Enemy:117
        _this.update();
        
      }
    },
    fiber$main :function _trc_Enemy_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000020;//user.Enemy:20
      _this.radius=16;
      //$LASTPOS=1000031;//user.Enemy:31
      _this.p=Tonyu.globals.$pat_ahoge26+2;
      
      _thread.enter(function _trc_Enemy_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000049;//user.Enemy:49
          case 1:
            //$LASTPOS=1000067;//user.Enemy:67
            _this.x+=_this.vx;
            //$LASTPOS=1000078;//user.Enemy:78
            _this.y+=_this.vy;
            //$LASTPOS=1000089;//user.Enemy:89
            if (_this.screenOut()) {
              //$LASTPOS=1000106;//user.Enemy:106
              _this.die();
            }
            //$LASTPOS=1000117;//user.Enemy:117
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$score=0;
      //$LASTPOS=2000010;//user.Main:10
      Tonyu.globals.$time=0;
      //$LASTPOS=2000019;//user.Main:19
      Tonyu.globals.$frames=0;
      //$LASTPOS=2000030;//user.Main:30
      new Tonyu.classes.kernel.Label({template: "スコア $score  時間 $time",x: 200,y: 50,size: 20});
      //$LASTPOS=2000095;//user.Main:95
      Tonyu.globals.$state="play";
      //$LASTPOS=2000110;//user.Main:110
      new Tonyu.classes.user.Player({x: 100,y: 100});
      //$LASTPOS=2000135;//user.Main:135
      Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_bgm,true);
      //$LASTPOS=2000165;//user.Main:165
      new Tonyu.classes.user.Floor({x: 200,y: 400,rotation: 10});
      //$LASTPOS=2000201;//user.Main:201
      new Tonyu.classes.user.Floor({x: 300,y: 250,rotation: - 10});
      //$LASTPOS=2000276;//user.Main:276
      while (Tonyu.globals.$state=="play") {
        Tonyu.checkLoop();
        //$LASTPOS=2000304;//user.Main:304
        if (_this.rnd(30)==0) {
          //$LASTPOS=2000330;//user.Main:330
          new Tonyu.classes.user.Target({x: _this.rnd(Tonyu.globals.$screenWidth),y: 0,vx: _this.rndFloat(- 5,5),vy: 1});
          
        }
        //$LASTPOS=2000400;//user.Main:400
        if (_this.rnd(10)==0) {
          //$LASTPOS=2000426;//user.Main:426
          new Tonyu.classes.user.Enemy({x: _this.rnd(Tonyu.globals.$screenWidth),y: Tonyu.globals.$screenHeight,vx: _this.rndFloat(- 5,5),vy: - 10-_this.rnd()*5});
          
        }
        //$LASTPOS=2000517;//user.Main:517
        Tonyu.globals.$frames++;
        //$LASTPOS=2000532;//user.Main:532
        Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
        //$LASTPOS=2000579;//user.Main:579
        _this.update();
        
      }
      switch (Tonyu.globals.$state) {
      case "gameover":
        //$LASTPOS=2000633;//user.Main:633
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
        //$LASTPOS=2000664;//user.Main:664
        new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
        //$LASTPOS=2000715;//user.Main:715
        Tonyu.globals.$mesg=Tonyu.globals.$theme+"を"+Tonyu.globals.$score+"個集めたところで"+Tonyu.globals.$subTheme+"に阻まれて無念のリタイア．";
        break;
        
      case "clear":
        //$LASTPOS=2000810;//user.Main:810
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
        //$LASTPOS=2000843;//user.Main:843
        Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事"+Tonyu.globals.$score+"個集めきった．";
        //$LASTPOS=2000897;//user.Main:897
        new Tonyu.classes.kernel.Label({text: "クリア",x: 230,y: 200,size: 50});
        break;
        
      }
      //$LASTPOS=2000953;//user.Main:953
      new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
      //$LASTPOS=2001020;//user.Main:1020
      new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$score=0;
      //$LASTPOS=2000010;//user.Main:10
      Tonyu.globals.$time=0;
      //$LASTPOS=2000019;//user.Main:19
      Tonyu.globals.$frames=0;
      //$LASTPOS=2000030;//user.Main:30
      new Tonyu.classes.kernel.Label({template: "スコア $score  時間 $time",x: 200,y: 50,size: 20});
      //$LASTPOS=2000095;//user.Main:95
      Tonyu.globals.$state="play";
      //$LASTPOS=2000110;//user.Main:110
      new Tonyu.classes.user.Player({x: 100,y: 100});
      //$LASTPOS=2000135;//user.Main:135
      Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_bgm,true);
      //$LASTPOS=2000165;//user.Main:165
      new Tonyu.classes.user.Floor({x: 200,y: 400,rotation: 10});
      //$LASTPOS=2000201;//user.Main:201
      new Tonyu.classes.user.Floor({x: 300,y: 250,rotation: - 10});
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000276;//user.Main:276
          case 1:
            if (!(Tonyu.globals.$state=="play")) { __pc=3     ; break; }
            //$LASTPOS=2000304;//user.Main:304
            if (_this.rnd(30)==0) {
              //$LASTPOS=2000330;//user.Main:330
              new Tonyu.classes.user.Target({x: _this.rnd(Tonyu.globals.$screenWidth),y: 0,vx: _this.rndFloat(- 5,5),vy: 1});
              
            }
            //$LASTPOS=2000400;//user.Main:400
            if (_this.rnd(10)==0) {
              //$LASTPOS=2000426;//user.Main:426
              new Tonyu.classes.user.Enemy({x: _this.rnd(Tonyu.globals.$screenWidth),y: Tonyu.globals.$screenHeight,vx: _this.rndFloat(- 5,5),vy: - 10-_this.rnd()*5});
              
            }
            //$LASTPOS=2000517;//user.Main:517
            Tonyu.globals.$frames++;
            //$LASTPOS=2000532;//user.Main:532
            Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
            //$LASTPOS=2000579;//user.Main:579
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            switch (Tonyu.globals.$state) {
            case "gameover":
              __pc=4     ;break;
            case "clear":
              __pc=5     ;break;
            default:
              __pc=6     ;break;
              
            }
            break;
          case 4     :
            //$LASTPOS=2000633;//user.Main:633
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
            //$LASTPOS=2000664;//user.Main:664
            new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
            //$LASTPOS=2000715;//user.Main:715
            Tonyu.globals.$mesg=Tonyu.globals.$theme+"を"+Tonyu.globals.$score+"個集めたところで"+Tonyu.globals.$subTheme+"に阻まれて無念のリタイア．";
            __pc=6     ; break;
            
          case 5     :
            //$LASTPOS=2000810;//user.Main:810
            Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_fanfare);
            //$LASTPOS=2000843;//user.Main:843
            Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて"+Tonyu.globals.$theme+"を見事"+Tonyu.globals.$score+"個集めきった．";
            //$LASTPOS=2000897;//user.Main:897
            new Tonyu.classes.kernel.Label({text: "クリア",x: 230,y: 200,size: 50});
            __pc=6     ; break;
            
            case 6     :
            
            //$LASTPOS=2000953;//user.Main:953
            new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
            //$LASTPOS=2001020;//user.Main:1020
            new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
            _thread.exit(_this);return;
          }
        }
      });
    },
    goTitle :function _trc_Main_goTitle() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2001101;//user.Main:1101
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
    },
    fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2001101;//user.Main:1101
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      
      _thread.retVal=_this;return;
    },
    tweet :function _trc_Main_tweet() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2001157;//user.Main:1157
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
    },
    fiber$tweet :function _trc_Main_f_tweet(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2001157;//user.Main:1157
      Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2,ahoge");
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Player_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3000020;//user.Player:20
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=3000034;//user.Player:34
      _this.p=Tonyu.globals.$pat_ahoge26+0;
      //$LASTPOS=3000052;//user.Player:52
      _this.radius=16;
      //$LASTPOS=3000063;//user.Player:63
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=3000081;//user.Player:81
        _this.vx+=_this.pad.vx*0.3;
        //$LASTPOS=3000120;//user.Player:120
        _this.t=_this.contactTo(Tonyu.classes.user.Target);
        //$LASTPOS=3000145;//user.Player:145
        if (_this.t) {
          //$LASTPOS=3000162;//user.Player:162
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin,{rate: 1+Tonyu.globals.$score*0.1});
          //$LASTPOS=3000215;//user.Player:215
          Tonyu.globals.$score+=1;
          //$LASTPOS=3000234;//user.Player:234
          _this.t.die();
          //$LASTPOS=3000251;//user.Player:251
          if (Tonyu.globals.$score>=10) {
            //$LASTPOS=3000281;//user.Player:281
            Tonyu.globals.$state="clear";
            break;
            
            
          }
          
        }
        //$LASTPOS=3000336;//user.Player:336
        _this.cp=_this.contactPoint(Tonyu.classes.user.Floor);
        //$LASTPOS=3000364;//user.Player:364
        if (_this.cp&&_this.cp.y>_this.y) {
          //$LASTPOS=3000392;//user.Player:392
          _this.jumpable=1;
          
        }
        //$LASTPOS=3000414;//user.Player:414
        if (_this.pad.vy<- 0.1&&_this.jumpable) {
          //$LASTPOS=3000453;//user.Player:453
          _this.jumpable--;
          //$LASTPOS=3000473;//user.Player:473
          _this.vy=- 10;
          
        }
        //$LASTPOS=3000491;//user.Player:491
        _this.e=_this.contactTo(Tonyu.classes.user.Enemy);
        //$LASTPOS=3000515;//user.Player:515
        if (_this.e) {
          //$LASTPOS=3000532;//user.Player:532
          Tonyu.globals.$state="gameover";
          //$LASTPOS=3000559;//user.Player:559
          _this.die();
          
        }
        //$LASTPOS=3000576;//user.Player:576
        if (_this.screenOut()) {
          //$LASTPOS=3000593;//user.Player:593
          Tonyu.globals.$state="gameover";
        }
        //$LASTPOS=3000616;//user.Player:616
        _this.update();
        
      }
    },
    fiber$main :function _trc_Player_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3000020;//user.Player:20
      _this.pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=3000034;//user.Player:34
      _this.p=Tonyu.globals.$pat_ahoge26+0;
      //$LASTPOS=3000052;//user.Player:52
      _this.radius=16;
      
      _thread.enter(function _trc_Player_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000063;//user.Player:63
          case 1:
            //$LASTPOS=3000081;//user.Player:81
            _this.vx+=_this.pad.vx*0.3;
            //$LASTPOS=3000120;//user.Player:120
            _this.fiber$contactTo(_thread, Tonyu.classes.user.Target);
            __pc=2;return;
          case 2:
            _this.t=_thread.retVal;
            
            //$LASTPOS=3000145;//user.Player:145
            if (!(_this.t)) { __pc=4     ; break; }
            //$LASTPOS=3000162;//user.Player:162
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin,{rate: 1+Tonyu.globals.$score*0.1});
            //$LASTPOS=3000215;//user.Player:215
            Tonyu.globals.$score+=1;
            //$LASTPOS=3000234;//user.Player:234
            _this.t.die();
            //$LASTPOS=3000251;//user.Player:251
            if (!(Tonyu.globals.$score>=10)) { __pc=3     ; break; }
            //$LASTPOS=3000281;//user.Player:281
            Tonyu.globals.$state="clear";
            __pc=8     ; break;
            
          case 3     :
            
          case 4     :
            
            //$LASTPOS=3000336;//user.Player:336
            _this.fiber$contactPoint(_thread, Tonyu.classes.user.Floor);
            __pc=5;return;
          case 5:
            _this.cp=_thread.retVal;
            
            //$LASTPOS=3000364;//user.Player:364
            if (_this.cp&&_this.cp.y>_this.y) {
              //$LASTPOS=3000392;//user.Player:392
              _this.jumpable=1;
              
            }
            //$LASTPOS=3000414;//user.Player:414
            if (_this.pad.vy<- 0.1&&_this.jumpable) {
              //$LASTPOS=3000453;//user.Player:453
              _this.jumpable--;
              //$LASTPOS=3000473;//user.Player:473
              _this.vy=- 10;
              
            }
            //$LASTPOS=3000491;//user.Player:491
            _this.fiber$contactTo(_thread, Tonyu.classes.user.Enemy);
            __pc=6;return;
          case 6:
            _this.e=_thread.retVal;
            
            //$LASTPOS=3000515;//user.Player:515
            if (_this.e) {
              //$LASTPOS=3000532;//user.Player:532
              Tonyu.globals.$state="gameover";
              //$LASTPOS=3000559;//user.Player:559
              _this.die();
              
            }
            //$LASTPOS=3000576;//user.Player:576
            if (_this.screenOut()) {
              //$LASTPOS=3000593;//user.Player:593
              Tonyu.globals.$state="gameover";
            }
            //$LASTPOS=3000616;//user.Player:616
            _this.fiber$update(_thread);
            __pc=7;return;
          case 7:
            
            __pc=1;break;
          case 8     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pad":{},"t":{},"cp":{},"jumpable":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Setting_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=4000035;//user.Setting:35
      Tonyu.globals.$theme="<<第"+Tonyu.globals.$no+"回のテーマ>>";
      //$LASTPOS=4000134;//user.Setting:134
      Tonyu.globals.$title=Tonyu.globals.$theme+"をゲットせよ！";
      //$LASTPOS=4000159;//user.Setting:159
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=4000178;//user.Setting:178
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=4000206;//user.Setting:206
      Tonyu.globals.$story="あなたは"+Tonyu.globals.$theme+"が好きなので，\n"+Tonyu.globals.$theme+"を集めよう!\n"+Tonyu.globals.$subTheme+"は集めるなよ！";
      //$LASTPOS=4000315;//user.Setting:315
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=759";
      //$LASTPOS=4000396;//user.Setting:396
      _this.loadPage(Tonyu.classes.user.Title);
    },
    fiber$main :function _trc_Setting_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=4000027;//user.Setting:27
      Tonyu.globals.$no=26;
      //$LASTPOS=4000035;//user.Setting:35
      Tonyu.globals.$theme="<<第"+Tonyu.globals.$no+"回のテーマ>>";
      //$LASTPOS=4000134;//user.Setting:134
      Tonyu.globals.$title=Tonyu.globals.$theme+"をゲットせよ！";
      //$LASTPOS=4000159;//user.Setting:159
      Tonyu.globals.$author="hoge1e3";
      //$LASTPOS=4000178;//user.Setting:178
      Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
      //$LASTPOS=4000206;//user.Setting:206
      Tonyu.globals.$story="あなたは"+Tonyu.globals.$theme+"が好きなので，\n"+Tonyu.globals.$theme+"を集めよう!\n"+Tonyu.globals.$subTheme+"は集めるなよ！";
      //$LASTPOS=4000315;//user.Setting:315
      Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=759";
      //$LASTPOS=4000396;//user.Setting:396
      _this.loadPage(Tonyu.classes.user.Title);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Target',
  shortName: 'Target',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Target_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=5000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=5000038;//user.Target:38
      _this.radius=16;
      //$LASTPOS=5000050;//user.Target:50
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=5000068;//user.Target:68
        _this.x+=_this.vx;
        //$LASTPOS=5000079;//user.Target:79
        _this.y+=_this.vy;
        //$LASTPOS=5000090;//user.Target:90
        if (_this.screenOut()) {
          //$LASTPOS=5000107;//user.Target:107
          _this.die();
        }
        //$LASTPOS=5000118;//user.Target:118
        _this.update();
        
      }
    },
    fiber$main :function _trc_Target_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=5000020;//user.Target:20
      _this.p=Tonyu.globals.$pat_ahoge26+1;
      //$LASTPOS=5000038;//user.Target:38
      _this.radius=16;
      
      _thread.enter(function _trc_Target_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=5000050;//user.Target:50
          case 1:
            //$LASTPOS=5000068;//user.Target:68
            _this.x+=_this.vx;
            //$LASTPOS=5000079;//user.Target:79
            _this.y+=_this.vy;
            //$LASTPOS=5000090;//user.Target:90
            if (_this.screenOut()) {
              //$LASTPOS=5000107;//user.Target:107
              _this.die();
            }
            //$LASTPOS=5000118;//user.Target:118
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Title_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000009;//user.Title:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=6000127;//user.Title:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=6000234;//user.Title:234
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
      //$LASTPOS=6000341;//user.Title:341
      new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start)});
      //$LASTPOS=6000423;//user.Title:423
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
      //$LASTPOS=6000474;//user.Title:474
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      //$LASTPOS=6000594;//user.Title:594
      Tonyu.globals.$sound.mute=false;
    },
    fiber$main :function _trc_Title_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000009;//user.Title:9
      new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
      //$LASTPOS=6000127;//user.Title:127
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
      //$LASTPOS=6000234;//user.Title:234
      new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
      //$LASTPOS=6000341;//user.Title:341
      new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start)});
      //$LASTPOS=6000423;//user.Title:423
      _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
      //$LASTPOS=6000474;//user.Title:474
      new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      //$LASTPOS=6000594;//user.Title:594
      Tonyu.globals.$sound.mute=false;
      
      _thread.retVal=_this;return;
    },
    start :function _trc_Title_start() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000629;//user.Title:629
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
    },
    fiber$start :function _trc_Title_f_start(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000629;//user.Title:629
      new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      
      _thread.retVal=_this;return;
    },
    toggleSound :function _trc_Title_toggleSound() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=6000691;//user.Title:691
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=6000721;//user.Title:721
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=6000772;//user.Title:772
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
    },
    fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=6000691;//user.Title:691
      Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
      //$LASTPOS=6000721;//user.Title:721
      _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
      //$LASTPOS=6000772;//user.Title:772
      Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Floor',
  shortName: 'Floor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: {
    main :function _trc_Floor_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=7000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=7000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=7000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=7000061;//user.Floor:61
      _this.isStatic=true;
    },
    fiber$main :function _trc_Floor_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=7000020;//user.Floor:20
      _this.width=200;
      //$LASTPOS=7000031;//user.Floor:31
      _this.height=10;
      //$LASTPOS=7000042;//user.Floor:42
      _this.fillStyle="white";
      //$LASTPOS=7000061;//user.Floor:61
      _this.isStatic=true;
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map